package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;

/**
 * 用户类型枚举类
 * @author Cup
 * @date 2022/5/17
 */
@ApiModel("用户类型枚举类")
public enum UserTypeEnum implements IEnum<String> {

    ORDINARY("00", "普通用户"),

    INSIDE("11", "内部用户");


    private String value;

    private String desc;

    UserTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }


    public String getDesc() {
        return desc;
    }

    @Override
    public String getValue() {
        return this.value;
    }



}
